# Bitwarden Menu


## Installation
```bash
# install dependencies
sudo dnf install -y python3 python3-pyperclip rofi

git clone --branch python https://git.navidsassan.ch/navid.sassan/bw-menu.git
git clone https://github.com/Linuxfabrik/lib.git

cd bw-menu
ln -s ../../lib src/lib
./src/main.py --help
```


## Usage
```bash
# start bw serve
export BW_SESSION="$(bw unlock --raw)" && bw serve --hostname 127.0.0.1&
# get dropdown (takes a second)
bw-menu select

# get password of last selected entry
bw-menu history get 0 password

# list 5 last selected entries
bw-menu history list
```
